<?php
/**
 * Footer options
 *
 * @package Theme Palace
 * @subpackage  Pushpa
 * @since  Pushpa 1.0.0
 */

// Footer Section
$wp_customize->add_section( 'pushpa_section_footer',
	array(
		'title'      			=> esc_html__( 'Footer Options', 'pushpa' ),
		'priority'   			=> 900,
		'panel'      			=> 'pushpa_theme_options_panel',
	)
);

$wp_customize->add_setting( 'pushpa_theme_options[footer_logo]', array(
	'sanitize_callback' => 'pushpa_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'pushpa_theme_options[footer_logo]',
		array(
		'label'       		=> esc_html__( 'Footer Logo', 'pushpa' ),
		'section'     		=> 'pushpa_section_footer',
) ) );

// footer text
$wp_customize->add_setting( 'pushpa_theme_options[copyright_text]',
	array(
		'default'       		=> $options['copyright_text'],
		'sanitize_callback'		=> 'pushpa_santize_allow_tag',
		'transport'				=> 'postMessage',
	)
);

$wp_customize->add_control( 'pushpa_theme_options[copyright_text]',
    array(
		'label'      			=> esc_html__( 'Copyright Text', 'pushpa' ),
		'section'    			=> 'pushpa_section_footer',
		'type'		 			=> 'textarea',
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'pushpa_theme_options[copyright_text]',
		array(
			'selector'            => '.site-info .wrapper',
			'settings'            => 'pushpa_theme_options[copyright_text]',
			'container_inclusive' => false,
			'fallback_refresh'    => true,
			'render_callback'     => 'pushpa_copyright_text_partial',
		)
	);
}
        
// scroll top visible
$wp_customize->add_setting( 'pushpa_theme_options[scroll_top_visible]',
	array(
		'default'       	=> $options['scroll_top_visible'],
		'sanitize_callback' => 'pushpa_sanitize_switch_control',
	)
);

$wp_customize->add_control( new  pushpa_Switch_Control( $wp_customize,
	'pushpa_theme_options[scroll_top_visible]',
		array(
			'label'      		=> esc_html__( 'Display Scroll Top Button', 'pushpa' ),
			'section'    		=> 'pushpa_section_footer',
			'on_off_label' 		=> pushpa_switch_options(),
		)
	)
);
